commit:     6bc48d65a543a3fa7703979c0aa8a0c5ea32d15c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 13 09:04:07 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 13 09:06:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bc48d65

dev-ruby/net-imap: import 0.2.3

Extracted from dev-lang/ruby, keywords have been migrated.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/net-imap/Manifest              |  1 +
 dev-ruby/net-imap/metadata.xml          | 11 +++++++++++
 dev-ruby/net-imap/net-imap-0.2.3.ebuild | 33 +++++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-ruby/net-imap/Manifest b/dev-ruby/net-imap/Manifest
new file mode 100644
index 000000000000..344ab1a4f1fa
--- /dev/null
+++ b/dev-ruby/net-imap/Manifest
@@ -0,0 +1 @@
+DIST net-imap-0.2.3.tar.gz 61440 BLAKE2B 
f38bed72777ad93b5a94361ca134644ae218f4a0cb3f26330a99dd5633d30f0f846f3fc4eeb01bc94c13bd5e553cb29f1ad03264987badf83b8f5404755c73ac
 SHA512 
69b6596a8ecc66788be10d11dad911351db6ff651f56e8dc5223f4c948efe0d2e53bd465ebf56edd96f1c414e3819413835c14b35a8e90b9f9ac59bfaa5611c6

diff --git a/dev-ruby/net-imap/metadata.xml b/dev-ruby/net-imap/metadata.xml
new file mode 100644
index 000000000000..ae944adb3a9c
--- /dev/null
+++ b/dev-ruby/net-imap/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/net-pop</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/net-imap/net-imap-0.2.3.ebuild 
b/dev-ruby/net-imap/net-imap-0.2.3.ebuild
new file mode 100644
index 000000000000..b19c69d72984
--- /dev/null
+++ b/dev-ruby/net-imap/net-imap-0.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby client api for Internet Message Access Protocol"
+HOMEPAGE="https://github.com/ruby/net-imap";
+SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "
+       dev-ruby/digest
+       dev-ruby/net-protocol
+       dev-ruby/strscan
+"
+
+all_ruby_prepare() {
+       sed -e 's/__dir__/"."/' \
+               -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+               -e 's/git ls-files -z/find * -print0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to